Really Slick ScreenSavers(1)

NAME
flux - flux fields and stuff.

SYNOPSIS
flux [--root/-r] [--maxfps/-x number] [--vsync/-y number] [--dpms/-M number] [--fluxes/-f number] [--particles/-p number] [--trail/-t number] [--geometry/-g number] [--size/-s number] [--complexity/-c number] [--randomize/-R number] [--expansion/-e number] [--rotation/-o number] [--wind/-w number] [--instability/-i number] [--blur/-b number] [--preset/-P number]

DESCRIPTION
From Terry Walsh (http://reallyslick.com): "This screensaver rocks." Ported to Linux by Tugrul Galatali.

OPTIONS

--root
    Draw on the root window.

--maxfps number
    Set maximum frame rate.

--vsync number
    Limit redraws to specified number of vertical refreshes. 0 - 100. Default: 1

--dpms number
    Stop rendering new frames if the display is not on. 0 - 1. Default: 1

--fluxes number
    Number of flux fields. 1 - 100. Default: 1

--particles number
    Particles per field. 1 - 1000. Default: 20

--trail number
    Trail length of particles. 3 - 10000. Default: 40

--geometry number
    0 - Points (--points) 1 - Spheres (--spheres) 2 - Lights (--lights) Type of geometry. 0 - 2. Default: 2

--size number
    Particle Size. 1 - 100. Default: 15

--complexity number
    Sphere Complexity. 0 - 100. Default: 3

--randomize number
    Frequency of randomization. 0 - 100. Default: 0

--expansion number
    Expansion rate. 0 - 100. Default: 40

--rotation number
    Rotation rate. 0 - 100. Default: 30

--wind number
    Crosswind speed. 0 - 100. Default: 20

--instability number
    Instability. 0 - 100. Default: 20

--blur number
    Motion Blur. 0 - 100. Default: 0

--preset number
    1 - Regular (--regular) 2 - Hypnotic (--hypnotic) 3 - Insane (--insane) 4 - Sparklers (--sparklers) 5 - Paradigm (--paradigm) 6 - Fusion (--fusion) Presets that override all options that come before it on the command line. 1 - 6. Default: 1

ENVIRONMENT

DISPLAY
    to get the default host and display number.

SEE ALSO
X(1),

COPYRIGHT
Copyright © 2002 by Terry Walsh and Tugrul Galatali. Flux is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation. Flux is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR
Terry Walsh and Tugrul Galatali <tugrul@galatali.com>